import numpy as np
import matplotlib.mlab as mlab
import matplotlib.pyplot as plt

#read evo_success data
f = open('evo_success_or_failure_log.txt', 'r')
gens = []
for _ in range(80):
    inp = f.readline()
    inp = inp.strip().split()
    gen = int(inp[len(inp) - 1])
    gens.append(gen)
# the histogram of the data
gen_range = range(1, max(gens) + 1)
plt.hist(gens, gen_range)

# add a 'best fit' line

plt.xlabel('final generation number for successful evolutions')
plt.ylabel('magnitude')
plt.title('Distribution of number of generations required to evolve a "1010" frequency discriminator for 80 different evolutions')

plt.show()
